
Foniatr - Bug #281
ranking2D prestal fungovat
23 February 2016 17:40 - Tomáš Kulhánek

Status: Resolved Start date: 23 February 2016
Priority: Normal Due date:
Assignee: Marek Frič % Done: 100%
Category: HTML5 client Estimated time: 0.00 hour
Target version: Psychotest2 Spent time: 4.00 hours
Description

History
#1 - 23 February 2016 17:41 - Tomáš Kulhánek
- Status changed from New to In Progress
- % Done changed from 0 to 80

ranking2d opet funguje, popis na ose X je jeste spatny - chybi prvni znaky

#2 - 24 February 2016 18:24 - Tomáš Kulhánek

příklad užití

screen Ranking2D 
  stimulus 1.wav,2.wav,3.wav
  ranking2d drsnost;ostrost

#3 - 24 February 2016 18:29 - Tomáš Kulhánek
- % Done changed from 80 to 90

Popis opravenů chyba ve stimulech do pole da vsechny v testu, spravne ma dat jen vsechny vyskytujici se na aktualni obrazovce.

#4 - 25 February 2016 02:11 - Tomáš Kulhánek
- Status changed from In Progress to Resolved
- % Done changed from 90 to 100

fixed.
Vynulování parser.stimul.audioid ve funkci nextpage()

#5 - 25 February 2016 10:58 - Marek Frič
- Assignee changed from Tomáš Kulhánek to Marek Frič

Ten výše uvedený algoritmus sice ukáže odpověďové pole ranking2d ale neukláda výsledky!
Správní syntax je:

screen Ranking2D
text Instrukce k provádění #můžou být dopsány i instrukce
stimulus 1.wav 2.wav 3.wav #musí být stimuly na jednom řádku
task Serazeni drsnost x ostrost #musí být  zadán i název úkolu pod krerým se výsledek zapíše do odpověďové tabulky
ranking2d drsnost;ostrost #musí být napsána minimalně jedna vlastnost ukončena ";" jinak je popis osy obecný (descX, descY)

momentálně se stím dá dělat, ale cca do konce března by se měly změnit následující nedostatky:

Myslím, že by bylo vhodné jestě mít možnost vypnout zobrazení tlačítek se zvuky nad polem ranking2d (je to zbytecne je zobrazovat samostatně,
protože samotný test se provadi v odpovedovem poli), navíc nastává problém, když je stimulů mnoho, tak je obrazovka příliš dlouhá a nezkušený
hodnotitel si je nemusí vůbec všimnout (zbytečná tlačítka navís zmenšují plochu rnking2d (když se automaticky radí vpravo vedle od tlačítek), když se
dá zobrazit plocha ranking2d pod tlačítka (nevím přeně jakou frmulací - tak bude stránka zbytečně dlouhá.

Další možností vylepšetí ranking2d je grafický design posuvních tlačítek - osobně se mi nelíbí ten zelený kříž. Pokud je vice stimulů je lepší mít menší
posuvná-tlačítka, aby se dala řadit vedle sebe. Z funkčního hlediska podle mne stačí, když levé tlačítko myší spouští zvuk (tedy stačí jenom play
grafika) a pravé tlačítko myši posouvá (to posouvání pravým tlačítkem myší už funguje).
